Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000489 [Piwigo] users & groups feature N/A 2006.07.25 13:05 2008.06.07 22:22
Reporter ericFabre View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Butterfly 1 Product Version 1.6.0
  Target Version 2.0.0 Product Build
Summary 0000489: mail obligatoire à l'enregistrement pour controle et envoi de mot de passe.
Description Bonjour,
le sujet a été discuté mais de mémoire, sans aboutir à une décision...

pourrait-on faire que :
 - l'entrée d'une adresse mail soit obligatoire à l'enregistrement? (login + email)
 - que PWG génère le premier mot de passe (toujours modifiable ensuite) puis l'envoie à cette adresse mail ? (d'ou controle de validité de l'adresse)
 - que, en cas d'oubli de son login et/ou mot de passe, par le visiteur, celui-ci, entre son adresse mail dans PWG et PWG lui envoi un mail avec ces deux données. (service parfait autonome et sécurisé !!!)

Intérêt de la chose :
- avoir les mail des visiteurs enregistrés pour pouvoir les contacter en cas de besoin ou de notification.
- Redonner aux visiteur leur autonomie en cas d'oubli du login et/ou mot de passe. J'ai de très très nombreux appels de visiteurs qui, se connectant d'un autre ordinateur que le leur, ne savent plus leur login !!!!

merci,
amicalement,
éric F.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000514closedrvelices Adresse email à l'ajout d'un nouveau membre et profil pour admin 

-  Notes
(0001490)
flipflip (reporter)
2006.10.30 19:16

Astuce mise à jour pour la version 1.6.1 --> http://phpwebgallery.net/doc/doku.php?id=fr:personnalisation:branche_1.6#rendre_l_email_obligatoire_a_l_inscription_1.6.1 [^]
(0001675)
ericFabre (reporter)
2007.01.22 14:44

cette partie est réalisée :

 - que, en cas d'oubli de son login et/ou mot de passe, par le visiteur, celui-ci, entre son adresse mail dans PWG et PWG lui envoi un mail avec ces deux données. (service parfait autonome et sécurisé!!!)
_______________________________________________________________________
cette partie est en attente de décision...

pourrait-on faire que :
 - l'entrée d'une adresse mail soit obligatoire à l'enregistrement? (login + email)
 - que PWG génère le premier mot de passe (toujours modifiable ensuite) puis l'envoie à cette adresse mail ? (d'ou controle de validité de l'adresse)
(0001885)
rub (developer)
2007.06.11 00:00

[Subversion] r2032


Pour le reste à faire le mieux et de créer une nouvelle fiche.

- Issue History
Date Modified Username Field Change
2006.07.25 13:05 ericFabre New Issue
2006.07.25 13:05 ericFabre browser => any
2006.07.25 13:05 ericFabre Web server => Apache 1.3.x
2006.07.25 13:36 rub Status new => assigned
2006.07.25 13:36 rub Assigned To => rub
2006.10.30 19:16 flipflip Note Added: 0001490
2007.01.22 14:44 ericFabre Note Added: 0001675
2007.01.22 14:48 rub Relationship added related to 0000514
2007.01.22 14:49 rub Relationship replaced duplicate of 0000514
2007.01.22 14:51 rub Relationship replaced related to 0000514
2007.06.11 00:00 rub Status assigned => closed
2007.06.11 00:00 rub Note Added: 0001885
2007.06.11 00:00 rub Resolution open => fixed
2007.06.11 00:00 rub Fixed in Version => Butterfly 1
2008.06.07 22:22 plg Target Version => Butterfly


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker